Bug 1958965

Summary: Ironic execute_deploy_steps command to ramdisk times out, resulting in a failed deployment in 4.7
Product: OpenShift Container Platform Reporter: Bob Fournier <bfournie>
Component: Bare Metal Hardware ProvisioningAssignee: Bob Fournier <bfournie>
Bare Metal Hardware Provisioning sub component: ironic QA Contact: Lubov <lshilin>
Status: CLOSED ERRATA Docs Contact:
Severity: urgent    
Priority: high CC: augol, dcritch, derekh, dtantsur, lshilin, mmethot, mzamot, tsedovic
Version: 4.7Keywords: Triaged
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: When sending large packets from Ironic to the ramdisk, particularly if the the mtu is not confiugred correctly, connections failures can result. Consequence: The deployment will fail because Ironic did not get a response from the ramdisk. Fix: Ironic will query the ramdisk to determine the last command that it ran to work around the connection error. Result: The deployment will succeed.
Story Points: ---
Clone Of: 1957976 Environment:
Last Closed: 2021-05-24 17:14:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1957976    
Bug Blocks:    

Comment 1 Bob Fournier 2021-05-10 14:05:39 UTC
Upstream backport to Victoria is here - https://review.opendev.org/c/openstack/ironic/+/790283

Comment 2 Bob Fournier 2021-05-10 15:38:33 UTC
Build is available here https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1599986

Comment 3 Bob Fournier 2021-05-13 14:31:20 UTC
Changing blocker to -, this will be in 4.7.12.

Comment 7 errata-xmlrpc 2021-05-24 17:14:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1561